name: "base"
channels:
  - defaults
dependencies:
  - xarray
  # ML
  - tensorflow
  #- pytorch
  # viz
  - matplotlib-base
  # - cartopy
  # scoring
  - xskillscore  # includes sklearn
  # data access
  #- intake
  #- fsspec
  - zarr
  - s3fs
  #- intake-xarray
  - cfgrib
  #- pydap
  #- h5netcdf
  # - netcdf4#==1.5.1  # see https://github.com/pydata/xarray/issues/4925
  - pip
  - pip:
    - climetlab >= 0.7.0
    - climetlab_s2s_ai_challenge >= 0.6.3
    - configargparse # for weatherbench
    - netcdf4 # ==1.5.1  # see https://github.com/pydata/xarray/issues/4925
    - git+https://github.com/phausamann/sklearn-xarray.git@develop
prefix: "/opt/conda"
